Bug 1129905 - [abrt] totem: notify_swap_buffers(): totem killed by SIGSEGV
Summary: [abrt] totem: notify_swap_buffers(): totem killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cogl
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f5fc02bb559b51d825158d81584...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 22:32 UTC by Marcus Husar
Modified: 2015-12-02 16:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:24:02 UTC


Attachments (Terms of Use)
File: backtrace (64.37 KB, text/plain)
2014-08-13 22:32 UTC, Marcus Husar
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-13 22:32 UTC, Marcus Husar
no flags Details
File: core_backtrace (28.21 KB, text/plain)
2014-08-13 22:32 UTC, Marcus Husar
no flags Details
File: dso_list (27.35 KB, text/plain)
2014-08-13 22:32 UTC, Marcus Husar
no flags Details
File: environ (2.85 KB, text/plain)
2014-08-13 22:32 UTC, Marcus Husar
no flags Details
File: exploitable (100 bytes, text/plain)
2014-08-13 22:32 UTC, Marcus Husar
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 22:32 UTC, Marcus Husar
no flags Details
File: maps (122.79 KB, text/plain)
2014-08-13 22:32 UTC, Marcus Husar
no flags Details
File: master.m3u8 (2.90 KB, text/plain)
2014-08-13 22:33 UTC, Marcus Husar
no flags Details
File: open_fds (2.86 KB, text/plain)
2014-08-13 22:33 UTC, Marcus Husar
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2014-08-13 22:33 UTC, Marcus Husar
no flags Details
File: var_log_messages (6.50 KB, text/plain)
2014-08-13 22:33 UTC, Marcus Husar
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 735425 None None None Never

Description Marcus Husar 2014-08-13 22:32:37 UTC
Description of problem:
On the website of the german tv station ZDF I wanted to watch their HTML5 live stream.

Start:
http://www.zdf.de/ZDFmediathek/hauptnavigation/live?flash=off

Click on:
“Das ZDF im Livestream”

Now click at the bottom:
“Link für alternative Player – Abspielen”

This loads a file with extension .m3u8. Totem/videos starts to play the stream and crashes immediately.

Here’s the contents:
#EXTM3U
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=124000,RESOLUTION=240x136,CODECS="avc1.66.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_124_av-p.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=124000,RESOLUTION=240x136,CODECS="avc1.66.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_124_av-b.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=189000,RESOLUTION=320x176,CODECS="avc1.66.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_189_av-p.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=189000,RESOLUTION=320x176,CODECS="avc1.66.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_189_av-b.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=242000,RESOLUTION=320x176,CODECS="avc1.66.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_242_av-p.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=242000,RESOLUTION=320x176,CODECS="avc1.66.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_242_av-b.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=436000,RESOLUTION=480x272,CODECS="avc1.66.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_436_av-p.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=436000,RESOLUTION=480x272,CODECS="avc1.66.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_436_av-b.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=710000,RESOLUTION=640x360,CODECS="avc1.77.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_710_av-p.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=710000,RESOLUTION=640x360,CODECS="avc1.77.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_710_av-b.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=1056000,RESOLUTION=852x480,CODECS="avc1.77.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_1056_av-p.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=1056000,RESOLUTION=852x480,CODECS="avc1.77.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_1056_av-b.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=1456000,RESOLUTION=852x480,CODECS="avc1.77.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_1456_av-p.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=1456000,RESOLUTION=852x480,CODECS="avc1.77.30, mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_1456_av-b.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=56000,CODECS="mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_124_a-p.m3u8?sd=10&dw=0&rebase=on
#EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=56000,CODECS="mp4a.40.2"
http://zdf_hds_de-f.akamaihd.net/i/de14_v1@147090/index_124_a-b.m3u8?sd=10&dw=0&rebase=on

Version-Release number of selected component:
totem-3.12.1-4.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        totem /tmp/master.m3u8
crash_function: notify_swap_buffers
executable:     /usr/bin/totem
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 notify_swap_buffers at winsys/cogl-winsys-glx.c:439
 #1 glx_event_filter_cb at winsys/cogl-winsys-glx.c:561
 #2 _cogl_renderer_handle_native_event at ./cogl-renderer.c:732
 #3 cogl_xlib_renderer_handle_event at ./cogl-xlib-renderer.c:589
 #4 cogl_xlib_filter at x11/clutter-backend-x11.c:131
 #5 clutter_backend_x11_translate_event at x11/clutter-backend-x11.c:639
 #6 clutter_x11_handle_event at x11/clutter-event-x11.c:200
 #7 gtk_clutter_filter_func at ./gtk-clutter-embed.c:233
 #8 gdk_event_apply_filters at gdkeventsource.c:81
 #9 gdk_event_source_translate_event at gdkeventsource.c:195

Comment 1 Marcus Husar 2014-08-13 22:32:42 UTC
Created attachment 926583 [details]
File: backtrace

Comment 2 Marcus Husar 2014-08-13 22:32:47 UTC
Created attachment 926584 [details]
File: cgroup

Comment 3 Marcus Husar 2014-08-13 22:32:50 UTC
Created attachment 926585 [details]
File: core_backtrace

Comment 4 Marcus Husar 2014-08-13 22:32:52 UTC
Created attachment 926586 [details]
File: dso_list

Comment 5 Marcus Husar 2014-08-13 22:32:53 UTC
Created attachment 926587 [details]
File: environ

Comment 6 Marcus Husar 2014-08-13 22:32:54 UTC
Created attachment 926588 [details]
File: exploitable

Comment 7 Marcus Husar 2014-08-13 22:32:56 UTC
Created attachment 926589 [details]
File: limits

Comment 8 Marcus Husar 2014-08-13 22:32:59 UTC
Created attachment 926590 [details]
File: maps

Comment 9 Marcus Husar 2014-08-13 22:33:00 UTC
Created attachment 926591 [details]
File: master.m3u8

Comment 10 Marcus Husar 2014-08-13 22:33:02 UTC
Created attachment 926592 [details]
File: open_fds

Comment 11 Marcus Husar 2014-08-13 22:33:04 UTC
Created attachment 926593 [details]
File: proc_pid_status

Comment 12 Marcus Husar 2014-08-13 22:33:06 UTC
Created attachment 926594 [details]
File: var_log_messages

Comment 13 Ankur Sinha (FranciscoD) 2014-08-26 03:06:51 UTC
Another user experienced a similar problem:

Tried to play a video file. 

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        totem Marvels.Agents.of.S.H.I.E.L.D.S01E14.HDTV.x264-EXCELLENCE.mp4
crash_function: notify_swap_buffers
executable:     /usr/bin/totem
kernel:         3.16.1-300.fc21.x86_64
package:        totem-3.13.90-1.fc21
reason:         totem killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Ankur Sinha (FranciscoD) 2014-08-26 03:12:01 UTC
Happening often. Filed upstream.

Comment 15 Fedora End Of Life 2015-11-04 15:12:51 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-12-02 03:24:05 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.